function wall_decor_wallpaper_menu_open_nav() {
	window.wall_decor_wallpaper_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function wall_decor_wallpaper_menu_close_nav() {
	window.wall_decor_wallpaper_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},  
		speed: 'fast'
 	});
 	$(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});

	/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

	// Sticky Copyright
  $(window).scroll(function(){
    var sticky = $('.copyright-sticky'),
      scroll = $(window).scrollTop();

    if (scroll >= 100) sticky.addClass('copyright-fixed');
    else sticky.removeClass('copyright-fixed');
  });
});

jQuery(document).ready(function () {
	window.wall_decor_wallpaper_currentfocus=null;
  	wall_decor_wallpaper_checkfocusdElement();
	var wall_decor_wallpaper_body = document.querySelector('body');
	wall_decor_wallpaper_body.addEventListener('keyup', wall_decor_wallpaper_check_tab_press);
	var wall_decor_wallpaper_gotoHome = false;
	var wall_decor_wallpaper_gotoClose = false;
	window.wall_decor_wallpaper_responsiveMenu=false;
 	function wall_decor_wallpaper_checkfocusdElement(){
	 	if(window.wall_decor_wallpaper_currentfocus=document.activeElement.className){
		 	window.wall_decor_wallpaper_currentfocus=document.activeElement.className;
	 	}
 	}
 	function wall_decor_wallpaper_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.wall_decor_wallpaper_responsiveMenu){
			if (!e.shiftKey) {
				if(wall_decor_wallpaper_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				wall_decor_wallpaper_gotoHome = true;
			} else {
				wall_decor_wallpaper_gotoHome = false;
			}

		}else{

			if(window.wall_decor_wallpaper_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.wall_decor_wallpaper_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.wall_decor_wallpaper_responsiveMenu){
				if(wall_decor_wallpaper_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					wall_decor_wallpaper_gotoClose = true;
				} else {
					wall_decor_wallpaper_gotoClose = false;
				}
			
			}else{

			if(window.wall_decor_wallpaper_responsiveMenu){
			}}}}
		}
	 	wall_decor_wallpaper_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
	jQuery(document).ready(function(){
		jQuery(".product-cat").hide();
	    jQuery("button.product-btn").click(function(){
	        jQuery(".product-cat").toggle();
	    });
	});

  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const wall_decor_wallpaper_progressBar =
        document.getElementById("wall_decor_wallpaper_elemento_progress_bar");
    if (!wall_decor_wallpaper_progressBar) return;
    window.addEventListener("scroll", function () {
        const wall_decor_wallpaper_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const wall_decor_wallpaper_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const wall_decor_wallpaper_scrolled =
            (wall_decor_wallpaper_scrollTop / wall_decor_wallpaper_height) * 100;
        wall_decor_wallpaper_progressBar.style.width =
            wall_decor_wallpaper_scrolled + "%";
    });
});